	subroutine gasfou(parfou, fixfou, mode)
c++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
c  $Id: gasfou.f,v 2.14 2005/01/31 13:34:03 friedrich Exp friedrich $
c
c  this routine makes the control output if isensw(2) or
c  isensw(3) is true. a 'c' is added to each parameter if
c  this parameter was not being varied. 
c
c   mode = -2  output parfou data only
c   mode >= -1  output peak positions in addition
c   mode ==  0  parc-and parfou data
c   mode ==  1  parc data only
c
c------------------------------------------------------------------
	implicit none

	logical fixfou(1)
        integer mode
	real*8 parfou(1)

        integer KANAL
        parameter (KANAL = 3)

	include 'gasctr.icl'
	include 'gaspar.icl'
        include 'gaseic.icl'

	character con(PARTOT)*2
	integer i, i1, i2, j
        real*8 poly
c
        do i = 1, PARTOT
	  if(fixfou(i))then
	    con(i) = 'c '
	  else
	    con(i) = '  '
	  end if
	end do
        i1 = 0
        do while(i1.lt.kpeaks)
          i2 = min(kpeaks - 1, i1 + 9)
          if(mode.ge.-1) then
            write(KANAL,'(9x,''peak:    ''$)')
            do i = i1, i2
              write(KANAL, '(f9.1,a,x$)') parc(poscen + i), '  '
            enddo
            write(KANAL,'(x)')
          endif
          if(mode.le.0) then
            write(KANAL,'(9x,''peak-par:  ''$)')
            do i = i1, i2
              write(KANAL, '(f9.3,a,x$)') parfou(poscen + i), con(poscen + i)
            enddo
            write(KANAL,'(x)')
          endif
          write(KANAL,'(9x,''amplitude: ''$)')
          do i = i1, i2
            write(KANAL, '(d9.3,a2,x$)') parfou(posarea + i), con(posarea + i)
          enddo
          write(KANAL,'(x)')
          if(mode.ge.0) then
            write(KANAL,'(9x,''fwhm:      ''$)')
            do i = i1, i2
              write(KANAL, '(f9.3,a,x$)') parc(poscwidth + i)/WIDTHCONSTANTE, '  '
            enddo
            write(KANAL,'(x)')
          endif
          if(mode.le.0) then
            write(KANAL,'(9x,''fwhm-par:  ''$)')
            j = poswidth
            do i = i1, i2
              if(ELEMENTS.gt.2) j = poswidth + i
              write(KANAL, '(f9.3,a,x$)') parfou(j), con(j)
            enddo
            write(KANAL,'(x)')
          endif
          if(mode.ge.0) then
            if(taill) then
              write(KANAL,'(9x,''TL-amp:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen + i), max(1,nampleft), ampleft), '  '
              enddo
              write(KANAL,'(x)')
              write(KANAL,'(9x,''TL-tau:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen + i), max(1,ntauleft), tauleft), '  '
              enddo
              write(KANAL,'(x)')
            endif
            if(tailr) then
              write(KANAL,'(9x,''TR-amp:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen+i), max(1,nampright), ampright), '  '
              enddo
              write(KANAL,'(x)')
              write(KANAL,'(9x,''TR-tau:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen+i), max(1,ntauright), tauright), '  '
              enddo
              write(KANAL,'(x)')
            endif
            if(tailb) then
              write(KANAL,'(9x,''TB-amp:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen + i), max(1,nampback), ampback), '  '
              enddo
              write(KANAL,'(x)')
              write(KANAL,'(9x,''TB-tau:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen + i), max(1,ntauback), tauback), '  '
              enddo
              write(KANAL,'(x)')
            endif
            if(lstep) then
              write(KANAL,'(9x,''TS-amp:    ''$)')
              do i = i1, i2
                write(KANAL, '(f9.3,a,x$)') poly(parc(poscen + i), max(1,nampstep), ampstep), '  '
              enddo
              write(KANAL,'(x)')
            endif
          endif
          i1 = i2 + 1
        enddo ! while(i1.le.kpeaks)
        if(mode.le.0) then
          if(taill) then
            write(KANAL,'(9x,''TL-amp-par:'', e9.3,a2)') parfou(postla), con(postla)
            write(KANAL,'(9x,''TL-tau-par:'', f9.3,a2)') parfou(postlw), con(postlw)
          endif
          if(tailr) then
            write(KANAL,'(9x,''TR-amp-par:'', e9.3,a2)') parfou(postra), con(postra)
            write(KANAL,'(9x,''TR-tau-par:'', f9.3,a2)') parfou(postrw), con(postrw)
          endif
          if(tailb) then
            write(KANAL,'(9x,''TB-amp-par:'', e9.3,a2)') parfou(postba), con(postba)
            write(KANAL,'(9x,''TB-tau-par:'', f9.3,a2)') parfou(postbw), con(postbw)
          endif
          if(lstep) then
            write(KANAL,'(9x,''TS-amp-par:'', e9.3,a2)') parfou(possta), con(possta)
          endif
          write(KANAL,'(9x,''backgr.:    xo ='', f9.1,''     a(i) = ''$)') parc(pospolm)
          do i = 0, backdeg
            write(KANAL, '(d9.3,a2,x$)') parfou(i + pospol),con(i + pospol)
          enddo
          write(KANAL,'(x)')
        endif
	return
	end
